<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<aui:script>
	Liferay.Util.setPortletConfigurationIconAction(
		'<portlet:namespace />delivery',
		() => {
			Liferay.Portlet.openModal({
				namespace: '<portlet:namespace />',
				portletSelector: '#p_p_id_<%= portletDisplay.getId() %>_',
				portletId: '<%= portletDisplay.getId() %>',
				title: '<liferay-ui:message key="configuration" />',
				url:
					'<%=
						HtmlUtil.escapeJS(
							PortletURLBuilder.create(
								PortletURLFactoryUtil.create(renderRequest, NotificationsPortletKeys.NOTIFICATIONS, PortletRequest.RENDER_PHASE)
							).setMVCPath(
								"/notifications/configuration.jsp"
							).setWindowState(
								LiferayWindowState.POP_UP
							).buildString())
			%>',
			});
		}
	);
</aui:script>